/*
* Styling of the menu - navigation.
*/
@mixin menu-navigation {
    $margin: 30px;
    $button-size: 60px;
    $image-size: 50px;

    @extend %column;

    height: 0;
    overflow: hidden;
    position: relative;

    background-color: color("white");

    > div {
        // Vertical line via css
        position: absolute;
        top: $margin;
        bottom: $margin;
        left: 49%;
        right: 49%;
        background-color: color("gray");
        z-index: z("site");
    }

    button {
        width: $button-size;
        height: $button-size;
        border-radius: 50%;
        background-color: color("white");
        border: 2px solid color("gray");
        z-index: z("top");
        overflow: hidden;
        
        > img {
            width: $image-size;
            height: $image-size;
            padding: 4px;
        }
        
        @extend %ccc;
        span {
            display: none;
            width: 100%;
            height: 40%;
            background-color: color("background");
        }

        &.selected {
            border-color: color("orange");
        }

        &:hover {
            img {
                display: none;
            }
            span {
                display: block;
            }
        }
    }
}